Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/s3fs/, dev-python/dask/
Date: Mon, 31 Jul 2017 18:12:51
Message-Id: 1501524726.57cf7a8d197685a724b5a8cefd01357c288f178f.bicatali@gentoo
commit:     57cf7a8d197685a724b5a8cefd01357c288f178f
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 20:17:34 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:12:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57cf7a8d

dev-python/s3fs: initial import

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/dask/dask-0.15.1.ebuild | 40 ++++++++++++++++++++++++++++++++++++++
 dev-python/s3fs/Manifest           |  1 +
 dev-python/s3fs/metadata.xml       | 15 ++++++++++++++
 dev-python/s3fs/s3fs-0.1.2.ebuild  | 30 ++++++++++++++++++++++++++++
 4 files changed, 86 insertions(+)

diff --git a/dev-python/dask/dask-0.15.1.ebuild b/dev-python/dask/dask-0.15.1.ebuild
new file mode 100644
index 00000000000..e020242bf40
--- /dev/null
+++ b/dev-python/dask/dask-0.15.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="http://dask.pydata.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+	dev-python/bokeh[${PYTHON_USEDEP}]
+	dev-python/cloudpickle[${PYTHON_USEDEP}]
+	dev-python/distributed[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	>=dev-python/pandas-0.19[${PYTHON_USEDEP}]
+	>=dev-python/partd-0.3.7[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	>=dev-python/toolz-0.7.2[${PYTHON_USEDEP}]"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/toolz[${PYTHON_USEDEP}]
+	test? (
+	   dev-python/pytest[${PYTHON_USEDEP}]
+	   dev-python/numexpr[${PYTHON_USEDEP}]
+	   sci-libs/scipy[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	py.test || die
+}

diff --git a/dev-python/s3fs/Manifest b/dev-python/s3fs/Manifest
new file mode 100644
index 00000000000..b30a4d64eca
--- /dev/null
+++ b/dev-python/s3fs/Manifest
@@ -0,0 +1 @@
+DIST s3fs-0.1.2.tar.gz 24574 SHA256 fba2471624b9840f050afb6d83eaec5e9b463dc497206532fa2b5590b7b58117 SHA512 52be23ccb2dd8c63675287895d00fda94adf010ac878ca12e5c8eefa25c7076c000b53bb4d2bb7886550cdd0d226cdf51aeee12f2ad7bac46537f190ba72ec2f WHIRLPOOL 0f20d14ddfca737f480da26d1a5fa55fcbc90f6966c03f9e9f44799ce8cbdbbe972c2c9283300c42c76edd4ac91575e25957e2fdfa5f9696785161c0b5bc480c

diff --git a/dev-python/s3fs/metadata.xml b/dev-python/s3fs/metadata.xml
new file mode 100644
index 00000000000..0c08864e363
--- /dev/null
+++ b/dev-python/s3fs/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>python@g.o</email>
+    <name>Gentoo Python Project</name>
+  </maintainer>
+  <longdescription lang="en">
+    S3Fs builds on boto3 to provide a convenient Python filesystem interface for S3.
+  </longdescription>
+  <upstream>
+    <remote-id type="pypi">s3fs</remote-id>
+    <remote-id type="github">dask/s3fs</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/s3fs/s3fs-0.1.2.ebuild b/dev-python/s3fs/s3fs-0.1.2.ebuild
new file mode 100644
index 00000000000..e90787bd482
--- /dev/null
+++ b/dev-python/s3fs/s3fs-0.1.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic file interface to S3"
+HOMEPAGE="http://s3fs.readthedocs.io/en/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/boto3[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		  dev-python/moto[${PYTHON_USEDEP}]
+		  dev-python/pytest[${PYTHON_USEDEP}]
+   )
+"
+
+python_test() {
+	py.test -v || die
+}